OGRE: Ogre::ScriptLexer Class Reference - OGRE Documentation

Public Member Functions | Private Member Functions

# Ogre::ScriptLexer Class Reference
[General]

`#include <OgreScriptLexer.h>`

Inheritance diagram for Ogre::ScriptLexer:
[legend]

List of all members.

## Public Member Functions
| ScriptLexer ()
virtual | ~ScriptLexer ()
ScriptTokenListPtr | tokenize (const String &str, const String &source)
| Tokenizes the given input and returns the list of tokens found.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Private Member Functions
void | setToken (const String &lexeme, uint32 line, const String &source, ScriptTokenList *tokens)
bool | isWhitespace (Ogre::String::value_type c) const
bool | isNewline (Ogre::String::value_type c) const

## Detailed Description

Definition at line 78 of file OgreScriptLexer.h.

## Constructor & Destructor Documentation

Ogre::ScriptLexer::ScriptLexer | ( |  | ) |

virtual Ogre::ScriptLexer::~ScriptLexer | ( |  | ) | `[virtual]`

Definition at line 82 of file OgreScriptLexer.h.

## Member Function Documentation

bool Ogre::ScriptLexer::isNewline | ( | Ogre::String::value_type | c | ) | const`[private]`

bool Ogre::ScriptLexer::isWhitespace | ( | Ogre::String::value_type | c | ) | const`[private]`

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

void Ogre::ScriptLexer::setToken | ( | const String & | lexeme,
|  | uint32 | line,
|  | const String & | source,
|  | ScriptTokenList * | tokens |
| ) |  |  | `[private]`

ScriptTokenListPtr Ogre::ScriptLexer::tokenize | ( | const String & | str,
|  | const String & | source |
| ) |  |  |

Tokenizes the given input and returns the list of tokens found.

The documentation for this class was generated from the following file:

- OgreScriptLexer.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:01